package tutorialJava.capitulo7_Recursos.ejercicios.bloque05_recursividad;

public class Ejercicio01_FibonacciRecursivo {

	/**
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		int n = 7; 
	    System.out.println("El término " + n + " de la secuencia de Fibonacci es: " + fibonacci(n));
	}

   /**
    * 
    * @param n
    * @return
    */
	public static int fibonacci(int n) {
		if (n <= 1) {
			return n; // Caso base: fibonacci(0) = 0 y fibonacci(1) = 1
		}
		return fibonacci(n - 1) + fibonacci(n - 2); // Llamadas recursivas
	}

}
